﻿@model NeljasMVC.Models.Category

@{
    ViewBag.Title = "Details";
}

<h2>Details</h2>

<div>
    <h4>Category</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.CategoryName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.CategoryName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Description)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Description)
        </dd>

        @*<dt>
            @Html.DisplayNameFor(model => model.Picture)
        </dt>*@

        @*<dd>
            @Html.DisplayFor(model => model.Picture)
        </dd>*@

    </dl>
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.CategoryID }) |
    @Html.ActionLink("Back to List", "Index")
</p>

<table class="table table-hover" >
    <tr>
        <th>
            ProductName
        </th>

        <th>
            UnitPrice
        </th>

        <th>
           Discontinued
        </th>
        
        <th></th>
    </tr>

    @foreach (var item in Model.Products)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.ProductName)
            </td>
            
            <td>
                @Html.DisplayFor(modelItem => item.UnitPrice)
            </td>
            
            <td>
                @Html.DisplayFor(modelItem => item.Discontinued)
            </td>

            <td>
                @Html.ActionLink("Edit", "Edit", new { id = item.ProductID }) |
                @Html.ActionLink("Details", "Details", new { id = item.ProductID }) |
                @Html.ActionLink("Delete", "Delete", new { id = item.ProductID })
            </td>
        </tr>
    }

</table>